// Variables
$check-height-percent: 0.6;
$check-rotation: 35deg;
$check-border-percent: 0.1;
$size: var(--digi--form-checkbox--size);
// Calculations
$check-height: calc($size * $check-height-percent);
$check-width: calc($check-height * 2 / 3);
$check-border-width: calc($size * $check-border-percent);
/* Calculations with sin() isn't supported in many browsers yet, but this is how you calculate the invisible-height with sin()
 * $lower-triangle-height: calc(sin($check-rotation) * $check-width);
 * $border-height: calc(sin($check-rotation) * $check-border-width);
 * $invisible-height: calc($lower-triangle-height - $border-height);
 */
$invisible-height: calc($size * 0.1720729309);
$check-top-offset: calc($invisible-height / -2);

@mixin form__checkbox-check($indeterminate: false) {
	content: '';
	border: solid var(--digi--form-checkbox--color--marker);

	@if $indeterminate == true {
		box-sizing: border-box;
		width: calc(var(--digi--form-checkbox--size) * 0.65);
		height: calc(var(--digi--form-checkbox--size) * 0.15);
		border-width: calc(var(--digi--form-checkbox--size) * 0.2) 0 0 0;
		transform: none;
	} @else {
		width: $check-width;
		height: $check-height;
		border-width: 0 $check-border-width $check-border-width 0;
		transform: translateY($check-top-offset) rotate($check-rotation);
		box-sizing: border-box;
	}
}
